0

Trying to install Sitecore 9.0.2 on a machine that already has Sitecore 10. However, getting below error. Do I need to change the Sitecore module?

Install-SitecoreConfiguration : A registration exists for the Task 'AddWebFeatureSSL' (Invoke-AddWebFeatureSSLTask).
Use -Force to override.
output file is C:\Workspace\sc902_install\xconnect-createcert.220805.log

At C:\Program Files\WindowsPowerShell\Modules\SitecoreInstallFramework\1.2.1\Private\RegistrationHandler.ps1:82 char:9
1
  • Both Sitecore 9.0.2 and Sitecore 10 use different SIF(Sitecore Install Framework), could you please make sure you are using the correct SIF version for 9.0.2? Aug 5 at 8:00

2 Answers 2

2

I think this is an issue with your SitecoreInstallFramework version and for this you need to use the accurate version to install Sitecore 9.0.2.

Here are some commands to check it.

List all version

Find-Module -Name SitecoreInstallFramework -AllVersions

Install a specific version

Install-Module -Name SitecoreInstallFramework -Repository SitecoreGallery -RequiredVersion 1.2.1

Switching versions

Remove-Module -Name SitecoreInstallFramework
Import-Module -Name SitecoreInstallFramework -RequiredVersion 1.2.1

Use this article for more details.

https://www.koenheye.be/multiple-versions-of-the-sitecore-install-framework/

And this is something about the error you are facing.

Error while installing Sitecore 9 update 2 on the same computer that has a 9.1.0 installation

-1

Issue was due to module SitecoreFundamentals installed. Uninstalled it and it solved the issue

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.